## org.mortbay.jetty.plugin.util
Class SystemProperties

    java.lang.Object
      org.mortbay.jetty.plugin.util.SystemProperties

    public class SystemProperties

extends java.lang.Object

SystemProperties Map of name to SystemProperty. When a SystemProperty instance is added, if it has not been already set (eg via the command line java system property) then it will be set.

Constructor Summary
`SystemProperties()`

Method Summary
`boolean` `containsSystemProperty(java.lang.String name)`
`java.util.List` `getSystemProperties()`
`SystemProperty` `getSystemProperty(java.lang.String name)`
`void` `setSystemProperty(SystemProperty prop)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SystemProperties

    public SystemProperties()

Method Detail

### setSystemProperty

    public void setSystemProperty(SystemProperty prop)

### getSystemProperty

    public SystemProperty getSystemProperty(java.lang.String name)

### containsSystemProperty

    public boolean containsSystemProperty(java.lang.String name)

### getSystemProperties

    public java.util.List getSystemProperties()

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.